# AVM

Example scripts for the [Avalanche Virtual Machine](https://docs.avax.network/build/references/avm-transaction-serialization)

* [addressFromBuffer.ts](./addressFromBuffer.ts)
* [baseEndpoint.ts](./baseEndpoint.ts)
* [baseTx-ant.ts](./baseTx-ant.ts)
* [baseTx-avax-create-multisig.ts](./baseTx-avax-create-multisig.ts)
* [baseTx-avax-send-multisig.ts](./baseTx-avax-send-multisig.ts)
* [baseTx-avax.ts](./baseTx-avax.ts)
* [buildBaseTx-ant.ts](./buildBaseTx-ant.ts)
* [buildBaseTx-avax.ts](./buildBaseTx-avax.ts)
* [buildCreateAssetTx.ts](./buildCreateAssetTx.ts)
* [buildCreateNFTAssetTx.ts](./buildCreateNFTAssetTx.ts)
* [buildCreateNFTMintTx.ts](./buildCreateNFTMintTx.ts)
* [buildExportTx-cchain-ant.ts](./buildExportTx-cchain-ant.ts)
* [buildExportTx-cchain-avax.ts](./buildExportTx-cchain-avax.ts)
* [buildExportTx-pchain.ts](./buildExportTx-pchain.ts)
* [buildImportTx-cchain.ts](./buildImportTx-cchain.ts)
* [buildImportTx-pchain.ts](./buildImportTx-pchain.ts)
* [buildNFTTransferTx.ts](./buildNFTTransferTx.ts)
* [buildSECPMintTx.ts](./buildSECPMintTx.ts)
* [createAddress.ts](./createAddress.ts)
* [createAssetTx-ant.ts](./createAssetTx-ant.ts)
* [createAssetTx-nft.ts](./createAssetTx-nft.ts)
* [createKeypair.ts](./createKeypair.ts)
* [createTXID.ts](./createTXID.ts)
* [exportTx-ant-cchain.ts](./exportTx-ant-cchain.ts)
* [exportTx-avax-cchain.ts](./exportTx-avax-cchain.ts)
* [exportTx-avax-pchain.ts](./exportTx-avax-pchain.ts)
* [genesisData.ts](./genesisData.ts)
* [getAllBalances.ts](./getAllBalances.ts)
* [getAssetDescription.ts](./getAssetDescription.ts)
* [getAVAXAssetID.ts](./getAVAXAssetID.ts)
* [getBalance.ts](./getBalance.ts)
* [getBlockchainAlias.ts](./getBlockchainAlias.ts)
* [getBlockchainID.ts](./getBlockchainID.ts)
* [getCreationTxFee.ts](./getCreationTxFee.ts)
* [getDefaultCreationTxFee.ts](./getDefaultCreationTxFee.ts)
* [getDefaultTxFee.ts](./getDefaultTxFee.ts)
* [getInterfaces.ts](./getInterfaces.ts)
* [getTx.ts](./getTx.ts)
* [getTxFee.ts](./getTxFee.ts)
* [getTxStatus.ts](./getTxStatus.ts)
* [importTx-cchain.ts](./importTx-cchain.ts)
* [importTx-cchain.ts](./importTx-cchain.ts)
* [keyChain.ts](./keyChain.ts)
* [listAddresses.ts](./listAddresses.ts)
* [newKeyChain.ts](./newKeyChain.ts)
* [operationTx-mint-ant.ts](./operationTx-mint-ant.ts)
* [operationTx-mint-avax.ts](./operationTx-mint-avax.ts)
* [parseAddress.ts](./parseAddress.ts)
* [refreshBlockchainID.ts](./refreshBlockchainID.ts)
* [setAVAXAssetID.ts](./setAVAXAssetID.ts)
* [setBlockchainAlias.ts](./setBlockchainAlias.ts)
* [setCreationTxFee.ts](./setCreationTxFee.ts)
* [setTxFee.ts](./setTxFee.ts)
